The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Name Resolution Configuration at Domain level

Prev Next

This URL gets name resolution configuration at domain level.

Resource URL

GET /domain/<domain_id>/nameresolution

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
DNSDetailsElement Object that contains the details of the fields Object

Details of fields in DNSDetailsElement:

Field Name Description Data Type
inheritFromIPSSetting Inherit setting from parent domain Boolean
enableNameResolution Enable name resolution setting Boolean
dnsSuffixList List of DNS suffix Array
primaryDNSServer Primary DNS server IP, mandatory when name resolution is enabled String
secondaryDNSServer Secondary DNS server IP String
refreshIntervalInHours Refresh interval in hours, applicable only for NTBA device Number

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/domain/0/nameresolution

Response

{
       		"inheritFromIPSSetting": false,
       		"enableNameResolution": true,
       		"dnsSuffixList":
       		[
           		"outlook.com",
           		"google.com"
       		],
       		"primaryDNSServer": "172.16.230.211",
       		"secondaryDNSServer": "172.16.232.72",
       		"refreshIntervalInHours": 120
    	} 
 

Error Information

Following error code is returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain